<component-section>
  <div slot="title">Alluris</div>
  <p>
    <a href="https://alluris.han.nl/app/onderwijsproduct/Algemeen/I-ASD%20DT+2021"
      >HBO-ICT SD DT Advanced Software Development</a
    >
  </p>
</component-section>
<component-section>
  <div slot="title">Werkafspraken</div>
  <component-section>
    <div slot="title">Bijhouden materialen</div>
    <p>
      De leermaterialen en overige materialen (onder andere dit document) worden bijgehouden met Git op
      <a href="https://gitlab.com/han-aim/dt-sd-asd/materials">via GitLab.com</a>.
    </p>
  </component-section>
  <component-section>
    <div slot="title">Invulling Teams-lesteam</div>
    <p>
      Per EVL is er één kanaal vernoemd naar de EVL-code. Het kanaal ‘Algemeen’ heeft kanaaltoezicht aan (moderation),
      zodat docenten hier altijd aankondigingen kunnen doen, zonder ondergesneeuwd te raken tussen
      studentenberichtverkeer.
    </p>
    <p>
      De uitvoerend docent maakt <em>geplande Teams-afspraken</em> voor elke les binnen het Teams-kanaal voor die
      course, want:
    </p>
    <ol>
      <li>zo hoef je bij aanvang van de les niet telkens een titel enzovoort op te geven,</li>
      <li>noch de machtigingen pas ná aanvang van de les in te stellen.</li>
      <li>Het is ook handig voor studenten als ze een melding krijgen via Teams dat er echt les is.</li>
    </ol>
  </component-section>
  <component-section>
    <div slot="title">Rol coördinator(en)</div>
    <p>
      Doordat de module vooralsnog maar door één klas wordt gevolgd, is het docententeam klein. Op dit moment ligt de
      coördinatie van alle courses en de module als geheel bij één persoon.
    </p>
    <p>Laat de volgende zaken altijd via de coördinator lopen, tenzij expliciet anders afgesproken binnen het team:</p>
    <ol>
      <li>In- en uitschrijven voor de module en courses</li>
      <li>Ontwikkeling en organisatie van schriftelijke tentamens</li>
      <li>Beheer van de verscheidene digitale omgevingen (Teams, Ans, GitLab, enzovoort)</li>
      <li>… (wordt nader aangevuld)</li>
    </ol>
  </component-section>
  <component-section>
    <div slot="title">Processen</div>
    <p>Zo vroeg mogelijk, kan waarschijnlijk meteen:</p>
    <ol>
      <li>
        <p>Opstellen/bijwerken onderwijsbeschrijving voor OER.</p>
      </li>
      <li>
        <p>Onderwijsschema uitwerken als spreadsheet.</p>
      </li>
      <li>
        <p>Onderwijsschema doorsturen naar Competentiebureau.</p>
      </li>
      <li>
        <p>Bewerkrechten in Alluris instellen.</p>
      </li>
      <li>
        <p>Onderwijsschema delen met betrokken, zoals Competentiebureau.</p>
      </li>
      <li>
        <p>Teams-lesteam maken.</p>
      </li>
      <li>
        <p>Teams-docententeam maken.</p>
      </li>
      <li>
        <p>
          Onderwijsschema onder ‘Lesmaterialen’ uploaden naar Teams-lesteam. Let op: bestanden die niet onder
          ‘Lesmaterialen’ geplaatst worden kunnen en zullen door studenten worden veranderd (automatisch, bij opening!).
        </p>
      </li>
      <li>
        <p>Ans-course maken</p>
      </li>
      <li><p>Deeltentamens (her)ontwikkelen</p></li>
    </ol>
    <p>Zodra klassen bekend zijn:</p>
    <ol>
      <li>
        <p>Teams-lesteam vullen.</p>
      </li>
    </ol>
  </component-section>
</component-section>
<component-section>
  <div slot="title">Terugkerende uitdagingen</div>
  <ol>
    <li>Er is te weinig contacttijd om alle leerinhoud goed over te brengen in lessen.</li>
    <li>
      De dinsdaglessen (online) worden nauwelijks benut door de studenten, naarmate ze vraaggestuurder worden ingevuld.
    </li>
    <li>De studenten werken vrij individualistisch.</li>
    <li>De studenten doen nauwelijks aan voorbereiding, zelfs als we dat erin peperen.</li>
    <li>
      De niveauverschillen zijn groot: van studenten zonder ict-baan en/of die alleen data invoeren bij een klein
      bedrijfje op de Veluwe of oudere studenten die al sinds jaar en dag met één antieke niet-algemene programmeertaal
      werken, tot studenten met veel programmeervaardigheid en/of die al allerlei online cursussen op software
      development-gebied hebben afgerond.
    </li>
    <li>
      ASD is de pittigste, ‘laatste’ module. Studenten die al veel ervaring hadden hebben tot nog toe weinig hoeven
      leren om goede resultaten te behalen, maar zien zich nu geconfronteerd met veel academischere courses waarvoor
      veel bestudeerd en gestudeerd moet worden.
    </li>
  </ol>
</component-section>
<component-section>
  <div slot="title">ADP</div>
  <component-section>
    <div slot="title">Verbeteracties bij 20/21</div>
    <p>
      De uitvoering 20/21 zijn ASD en ADP in het bijzonder grondig herontwikkeld op basis van de leermaterialen van VT
      APP die het jaar ervoor noodgedwongen ad hoc werden gebruikt.
    </p>
    <ol>
      <li>
        <p>De PowerPoint-presentaties zijn afgedankt. We zetten sterker in op online instructie.</p>
      </li>
      <li>
        <p>Diverse, meest geschikte bronnen worden aangehaald, in plaats van één (papieren) studieboek.</p>
      </li>
      <li>
        <p>
          Door de COVID-19-crisis hebben we het tij mee om niet meer de geforceerde verdeling 'dinsdag online, donderdag
          fysiek' aan te houden. We passen flipped learning toe, waarbij de studenten de online asynchrone instructie
          voor de contactmomenten al bestuderen.
        </p>
      </li>
      <li>
        <p>Tijdens de lessen zijn er veel meer opdrachten, waardoor studenten dan in ieder geval moeten samenwerken.</p>
      </li>
      <li>
        <p>
          Het lesschema is vervangen door een Microsoft Planner-plan, zodat studenten deadlines enzovoort makkelijker
          managen en in hun agenda zetten.
        </p>
      </li>
      <li>
        <p>
          In plaats van presentaties zijn de instructies vervat in instructievideo's. Presentaties zonder commentaar
          zijn voor veel studenten lastig zelfstandig te volgen. Het is verleidelijk presentaties te lang te maken.
          Bijvoorbeeld één presentatie voor een hele les. Presentaties zijn, zeker met voice-over, lastig op allerlei
          apparaten te bestuderen, waardoor de student voor zelfstudie per se aan een computer moet zitten.
        </p>
      </li>
      <li><p>Geen (onnodig complexe) broncodefragmenten in beeld, vóór uitleg over de principes.</p></li>
      <li>
        <p>
          De programmeeroefeningen duren zo kort mogelijk. Technische bijkomstigheden en overhead is zo veel mogelijk
          uitgebannen. Zo wordt voorkomen dat de oefeningen een te hoge instapbarrière hebben en daardoor massaal worden
          overgeslagen.
        </p>
      </li>
      <li>
        <p>
          Weinig aandacht voor grappige flauwekul om sfeer te maken, zoals het dansje dat sorteren uitbeeldt. Dat
          leverde te veel uitleg op omtrent analogiëen. De ontwikkelaar stelt zich telkens de vraag: is de analogie echt
          nodig, of begrijpen de studenten het waarom ook al met praktijkvoorbeelden?
        </p>
      </li>
      <li>
        <p>Schriftelijke tentamens vervangen door digitale via Ans. Formatieve toetsen ook in Ans.</p>
      </li>
      <li>
        <p>Mind maps in Miro per les.</p>
      </li>
    </ol>
  </component-section>
  <component-section>
    <div slot="title">Verbeteracties bij 21/22</div>
    <ol>
      <li><p>Scheiding lesplannen en leerinhoud.</p></li>
      <li><p>Meer contacttijd/toezicht, waarbinnen de studenten meer ruimte hebben voor zelf (samen)werken.</p></li>
      <li><p>Contacttijd ingevuld met vooral oefening en andere toepassingscontext.</p></li>
      <li>
        <p>
          Meer focus in leerinhoud: gedeelte over programmeertaalparadigma's en compilers weggelaten en vervangen door
          meer algoritmes en datastructuren.
        </p>
      </li>
      <li>
        <p>
          Nauwkeurigere, fijnmazigere leeruitkomsten: ieder element, algoritme en datastructuur dat/die de student moet
          beheersen apart.
        </p>
      </li>
      <li>
        <p>
          Onderwijsschema weer als spreadsheet ontwikkeld. Dit bleek overzichtelijker dan Planner voor de bedoelde
          gebruikers, en liet datumberekeningen toe.
        </p>
      </li>
      <li>
        <p>Vereenvoudiging taalgebruik: onderwijskundige begrippen als ‘synchroon leren’ achterwege gelaten.</p>
      </li>
      <li>
        <p>Grote opdrachten aan het einde opdelen in kleine doorlopende opdrachten.</p>
      </li>
      <li>
        <p>Verbeterde website met hogere gebruikersvriendelijkheid (navigeerbaarheid, responsiveness, enzovoort).</p>
      </li>
    </ol>
  </component-section>
  <component-section>
    <div slot="title">Toekomstige verbeterpunten</div>
    <ol>
      <li>
        <p>
          De leermaterialen zijn grotendeels verzameld van externe bronnen en niet zelf ontwikkeld. Dit maakt de
          beschikbaarheid hiervan onzeker.
        </p>
      </li>
      <li>
        <p>Leerarrangementen faciliteren met keuzeonderdelen.</p>
      </li>
      <li>
        <p>Communityvorming in klassen bevorderen.</p>
      </li>
      <li>
        <p>
          Bijna alle bronnen gaan uit van hogere ingangsvereisten dan realistisch. Vooral wat betreft bepaalde
          wiskundige basis, zoals bewijzen met inductie, discrete wiskunde, enzovoort Deze ingangsvereisten worden niet
          behaald binnen de opleiding HBO-ICT profiel SD. Zonder deze basis blijft de leerinhoud erg oppervlakkig. De
          studiebelasting in uren is daardoor ook erg beperkt.
        </p>
      </li>
      <li>
        <p>
          De Waarom en Toepassingen-secties zijn conventioneel: ze noemen het <em>absolute</em> belang en absolute
          gebruik. Interessanter voor studenten is om te leren hoe <em>relatief</em> belangrijk of vaak gebruikt de
          concepten zijn.
        </p>
      </li>
      <li>
        <p>
          De videobronnen bevatten soms meer informatie dan nodig voor de course. Neem eigen video’s op als daar budget
          voor is, of kies een leergang waarin met zowel video- als tekstmaterialen. Bijvoorbeeld
          <a href="https://learning.oreilly.com/videos/algorithms-in-motion/10000MNLV201715/?autoplay=false"
            >Algorithms in Motion</a
          >.
        </p>
      </li>
      <li>
        <p>Verschilpunten ADP en VT APP: positie van ADP-coördinator</p>
        <ol>
          <li>
            <p>
              De leermaterialen zijn zo dynamisch mogelijk. Algoritmes zijn bij uitstek geschikt voor animaties en
              dergelijke.
            </p>
          </li>
          <li>
            <p>
              De bronnen zijn zo veel mogelijk open leermaterialen. Op deze manier hoeven studenten geen kosten en
              tijdverlies te incasseren aan het begin van de lesweken, voor de aanschaf van leermaterialen.
            </p>
          </li>
          <li>
            <p>
              Veelvormigheid door variatie in programmeertalen. Hierdoor worden de creativiteit en het herkennen van de
              rode draad gestimuleerd.
            </p>
          </li>
          <li>
            <p>
              De aangehaalde bronnen zijn divers, onder andere studieboeken en instructievideo's. Van de inhoud van de
              bronnen wordt bewust geen samenvatting gegeven, omdat anders de verleiding te groot is bron zelf niet te
              bestuderen. Verder is samenvatten zeer tijdrovend en ingewikkeld om <em>goed</em> te doen. Een mogelijk
              nadeel is: door deze benadering is de ervaring van studenten wat anders: geen reader die zij van A tot Z
              zelfstandig horen te bestuderen, noch een vast studieboek dat zij op diezelfde manier horen te gebruiken.
              Het is belangrijk dat de docent en student bewust omgaat met deze gevoelsmatig minder gestructureerde
              benadering van leren. Voor studenten die worstelen met de leerinhoud en in het bijzonder deze structuur,
              is het aan te bevelen dat zij zelf in overleg met hun docent een studieboek of andere bron bemachtigen
              waarin de leerinhoud integraal terugkomt, ter aanvulling. Hiervoor is dan wel aanzienlijk meer studietijd
              nodig. Een voordeel is daarentegen dat studenten meerdere bronnen, met elk hun eigen stijl en diepgang,
              leren raadplegen. De enthousiaste student krijgt daardoor een beter beeld van het vakgebied en zijn
              voorkeur voor bepaalde bronnen, die hij of zij eventueel zelf nog kan aanschaffen.
            </p>
          </li>
          <li>
            <p>AVL-bomen vervangen door belangrijkere zoekbomen.</p>
          </li>
          <li>
            <p>Frequent toetsen en digitaal tentamineren.</p>
          </li>
          <li>
            <p>Leeruitkomsten over programmeertaaltheorie en compilers afsplitsen naar minor.</p>
          </li>
        </ol>
      </li>
    </ol>
  </component-section>
</component-section>
<component-section>
  <div slot="title">Logistiek</div>
  <p>
    Maak vóór de les templates en boards in Miro enzovoort, in plaats van alles handmatig te laten doen door de
    studenten, om zo tijd te besparen.
  </p>
  <component-section>
    <div slot="title">Recht op extra tijd voor schriftelijke tentamens</div>
    <p>Deze informatie is terug te vinden in Ans bij de eigenschappen van de klas(sen).</p>
  </component-section>
</component-section>
<component-section>
  <div slot="title">Didactiek</div>
  <component-section>
    <div slot="title">Feedbackmomenten</div>
    <p>
      Gelast regelmatig feedbackmomenten in voor de studenten. Zeker als er veel veranderd is t.o.v. hun vorige module.
      Zo kunnen we zorgen herkennen en soms oplossen vóór de formele evaluatie.
    </p>
  </component-section>
  <component-section
    ><div slot="title">Tips</div>
    <p>
      💡 <strong>Tip</strong>: gebruik
      <a href="https://docs.microsoft.com/en-us/visualstudio/liveshare/quickstart/share"
        >Visual Studio Code Live Share</a
      >
      om een <em>pair programming</em>-sessie efficiënt te maken.
    </p>
  </component-section>
</component-section>
<component-section>
  <div slot="title">Bronnen</div>
  <div id="bibliography"></div>
</component-section>
